Custom fields
Create a custom field
POST
apiKeyheader
AuthorizationBearer <token>An API key from the web app, under Developers. It starts with rz_live_.
application/json- body
key*stringLowercase letters, digits and underscores, starting with a letter. It cannot change.
Match
^[a-z][a-z0-9_]{0,39}$entity?"post"Default
"post"Value in
"post"label*stringLength
1 <= length <= 60type*stringValue in
"text""select""multi_select""number""url""date""checkbox"options?array<>The choices of a select or multi_select field. Required for those, refused for the others.
Items
items <= 100description?stringLength
length <= 200OK
application/json- response
key*stringentity*"post"Value in
"post"label*stringtype*stringValue in
"text""select""multi_select""number""url""date""checkbox"options?array<string>description?stringcurl -X POST 'https://api.rizamo.com/v1/fields' \ -H 'Content-Type: application/json' \ -d '{ "key": "string", "label": "string", "type": "text"}'Example Response201
{ "key": "string", "entity": "post", "label": "string", "type": "text", "options": [ "string" ], "description": "string"}